/* Array prototype, matches value in array: returns bool */
Array.prototype.inArray = function (value) {
	var i;
	for (i=0; i < this.length; i++) {
		if (this[i] === value) {
			return i;
		}
	}
	return false;
};

	RADIOK.mainMenu = function() { 
		var YUD = YAHOO.util.Dom; 
		var YUE = YAHOO.util.Event;  
		var ULCache = new Array();
		return { 
			init : function() { 		
				var oMenu = YUD.get('mt').getElementsByTagName("ul")[0]; 
				var arrMenuLi = new Array(); 
				for ( var i=0,j=oMenu.childNodes.length;i<j; ++i ) 
				{ 
					if(oMenu.childNodes[i].tagName == 'LI')
					{ 
						arrMenuLi.push(oMenu.childNodes[i]); 
					} 
				} 

				for ( var i=0,j=arrMenuLi.length;i<j; ++i ) 
				{
					if( i>0 )
					{
						if( typeof(arrMenuLi[i].childNodes[1]) != 'undefined' && arrMenuLi[i].childNodes[1] )
						{
							var chnode = arrMenuLi[i].childNodes[1].childNodes;
							var jj=chnode.length;
							for ( var ii=0;ii<jj; ++ii ) 
							{
								if( arrMenuLi[i].childNodes[1].childNodes[ii].childNodes.length > 1 )
								{
									YUD.addClass(arrMenuLi[i].childNodes[1].childNodes[ii].firstChild,'p');
								}
							}
						}
						var eventParam = { 'oMenuLi':arrMenuLi[i],'level':'main' }
						YUE.on(arrMenuLi[i], 'mouseover', this.openMenu, eventParam, false);
						YUE.on(arrMenuLi[i], 'mouseout', this.closeMenu, eventParam); 
					}
				} 
			}, 
			openMenu : function(e, openParam) 
			{
				oMenuLi = openParam.oMenuLi;
				var oMenuLayer = oMenuLi.getElementsByTagName("ul")[0];
				
				if( typeof(oMenuLayer) == 'undefined' || !oMenuLayer)
				{
					YUD.addClass(oMenuLi.firstChild,'h');
					return false;
				}
				uniqueID = YUE.generateId(oMenuLayer);
				if( openParam.level == 'main' )
				{
					YUD.addClass(oMenuLi.firstChild,'h');
				}
				YUD.setStyle(oMenuLayer,'visibility','visible');

				if( !ULCache.inArray(uniqueID) )
				{
					ULCache.push(uniqueID);
				}else
				{
					return false;
				}
				var ml;
				switch( oMenuLayer.parentNode.firstChild.id )
				{
					case 'mt1': ml = '20px';
						break;
					case 'mt2':	ml = '11px';
						break;
					case 'mt3':	ml = '11px';
						break;
					case 'mt4':	ml = '12px';
						break;
					case 'mt5':	ml = '13px';
						break;	
				}
				if( ml ) {
					YUD.setStyle(oMenuLayer,"paddingLeft", ml);
				}

				YUD.setStyle(oMenuLayer.getElementsByTagName("li")[0],"borderTop", "1px solid #908875");
				
				YUD.addClass(oMenuLayer.lastChild,'l');
				if( openParam.level == 'sub' )
				{
					layerW = oMenuLayer.parentNode.offsetWidth;
					pos = YUD.getXY(oMenuLayer.parentNode);
					YUD.setXY(oMenuLayer, [pos[0]+layerW,pos[1]]);
				}
				var arrMenuLi = new Array(); 
				len = oMenuLayer.childNodes.length;
				for ( var i=0,j=len;i<j; ++i ) 
				{ 
					if(oMenuLayer.childNodes[i].tagName == 'LI')
					{ 
						if(oMenuLayer.childNodes[i].childNodes.length>1)
						{ 
							arrMenuLi.push(oMenuLayer.childNodes[i]);
						} 
					} 
				} 
				if( arrMenuLi.length > 0)
				{ 
					for ( var i=0,j=arrMenuLi.length;i<j; ++i ) 
					{ 
						var eventParam = { 'oMenuLi':arrMenuLi[i],'level':'sub' }
						YUE.on(arrMenuLi[i], 'mouseover', RADIOK.mainMenu.openMenu, eventParam, false);
						YUE.on(arrMenuLi[i], 'mouseout', RADIOK.mainMenu.closeMenu, eventParam);  
					} 
				}  
			}, 
			closeMenu : function(e, closeParam) 
			{ 
				oMenuLi = closeParam.oMenuLi;
				var oMenuLayer = oMenuLi.getElementsByTagName("ul")[0]; 
				if( closeParam.level == 'main' )
				{
					YUD.removeClass(oMenuLi.firstChild,'h');
				}
				YUD.setStyle(oMenuLayer,"visibility", "hidden"); 
			} 
		}; 
	}(); 

	RADIOK.leftMenu = function() { 
		var YUD = YAHOO.util.Dom; 
		var YUE = YAHOO.util.Event;  
		return { 
			init : function() { 		
				var arrMenuLi = YUD.get('lz').getElementsByTagName("li");
				var l = arrMenuLi.length;
				YUD.addClass(arrMenuLi[0].firstChild,'f');
				YUD.addClass(arrMenuLi[l-1].firstChild,'l');
			} 
		}; 
	}(); 